Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# msLib.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | msBone
struct | msMaterial
struct | msMesh
struct | msModel
struct | msPositionKey
struct | msRotationKey
struct | msTriangle
struct | msVertex
## Defines
#define | MSLIB_API __declspec(dllimport)
#define | MS_MAX_NAME 32
#define | MS_MAX_PATH 256
## Typedefs
typedef unsigned char | byte
typedef unsigned short | word
typedef float | msVec4 [4]
typedef float | msVec3 [3]
typedef float | msVec2 [2]
typedef msVertex | msVertex
typedef msMesh | msMesh
typedef msMaterial | msMaterial
typedef msPositionKey | msPositionKey
typedef msRotationKey | msRotationKey
typedef msBone | msBone
typedef msModel | msModel
## Enumerations
enum | msFlag { eSelected = 1, eSelected2 = 2, eHidden = 4, eDirty = 8, eAveraged = 16, eUnused = 32 }
## Functions
| __declspec (dllimport) void msModel_Destroy(msModel *pModel)
## Variables
int | nIndex
const char * | szName
int | nFrame
int | nTotalFrames
msVec3 | Position
msVec3 | Rotation
byte | nFlags
char int | nMaxLength
int msVec3 | Normal
word | nIndices []
word | nNormalIndices []
byte | nSmoothingGroup
msVec3 | Vertex
msVec2 | st
int | nBoneIndex
msVec4 | Ambient
msVec4 | Diffuse
msVec4 | Specular
msVec4 | Emissive
float | fShininess
float | fTransparency
const char * | szDiffuseTexture
const char * | szAlphaTexture
const char * | szParentName
float | fTime

## Define Documentation

#define MS_MAX_NAME 32

#define MS_MAX_PATH 256

#define MSLIB_API __declspec(dllimport)

## Typedef Documentation

typedef unsigned char byte

typedef struct msBone msBone

typedef struct msMaterial msMaterial

typedef struct msMesh msMesh

typedef struct msModel msModel

typedef struct msPositionKey msPositionKey

typedef struct msRotationKey msRotationKey

typedef float msVec2[2]

typedef float msVec3[3]

typedef float msVec4[4]

typedef struct msVertex msVertex

typedef unsigned short word

## Enumeration Type Documentation

enum msFlag

  | Enumeration values:
  eSelected |
  eSelected2 |
  eHidden |
  eDirty |
  eAveraged |
  eUnused |

## Function Documentation

__declspec | ( | dllimport |  | ) |

## Variable Documentation

msVec4 Ambient

msVec4 Diffuse

msVec4 Emissive

float fShininess

float fTime

float fTransparency

int nBoneIndex

int nFlags

int nFrame

int nIndex

word nIndices

char int nMaxLength

word nNormalIndices

int msVec3 Normal

byte nSmoothingGroup

int nTotalFrames

float msVec3 Position

float msVec3 Rotation

msVec4 Specular

msVec2 st

char * szAlphaTexture

char * szDiffuseTexture

char * szName

char * szParentName

msVec3 Vertex